> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/nor/api-dokumentasjon/oversikt-over-geopard-api-foresporsler/notater-kartnaler/28.-mutasjon-lagre-flere-notater-batch-operasjon.md).

# 28. Mutasjon: Lagre flere «Notater», batch-operasjon

Denne mutasjonen lar deg legge ved flere Notater til et angitt Felt.

{% hint style="success" %}
Maksimalt antall Notater som kan lagres er 25.
{% endhint %}

{% hint style="success" %}
Legg til `uuid` attributtet i inputen for å oppdatere Notatet.
{% endhint %}

* En merknad kan knyttes til åkeren via dens unike identifikator `fieldUuid,`  til den tilknyttede SoilDataset via `soilDatasetUuid`, til ZonesMap via `vectorAnalysisMapUuid`.
* Koordinaten til merknaden kan settes ved bruk av `centroid` attributtet, som krever definerte `latitude` og `longitude` verdier.&#x20;
* Typen merknad kan spesifiseres ved bruk av `type` attributtet med akseptable verdier `PLANNED` eller `REAL`.&#x20;
* Beskrivelsen av merknaden kan oppgis ved bruk av `comment` attributtet. Hvis beskrivelsen må være flersidig, `comment` attributtet inneholde en streng med linjeskifttegn `\\n` for å skille linjer. For eksempel: `"Første linje. er her\\nAndre linje er her.\\nTredje linje er her."`.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutasjon BatchSaveNotes {
  saveNotes(input:{
    notes: [{
      fieldUuid: "d31240db-98e6-4cb0-b0a8-97ffe00f5e0d",
      centroid: {latitude: 51.177747, longitude:  -113.533613},
      type: PLANNED,
      comment: "Batch lagring: 1",
      vectorAnalysisMapUuid: "983095c1-8d31-4cc0-9143-502c35df358d"
    }, {
      uuid: "531d4cc4-b464-435c-8bb5-464cc13fcafa",
      fieldUuid: "d31240db-98e6-4cb0-b0a8-97ffe00f5e0d",
      centroid: {latitude: 51.177747, longitude:  -113.533613},
      type: REAL,
      comment: "Batch oppdatering: 1",
      vectorAnalysisMapUuid: "983095c1-8d31-4cc0-9143-502c35df358d"
    }, {
      fieldUuid: "d31240db-98e6-4cb0-b0a8-97ffe00f5e0d",
      centroid: {latitude: 51.177747, longitude:  -113.533613},
      type: REAL,
      comment: "Batch lagring: 2",
      vectorAnalysisMapUuid: "983095c1-8d31-4cc0-9143-502c35df358d"
    }, {
      fieldUuid: "d31240db-98e6-4cb0-b0a8-97ffe00f5e0d",
      centroid: {latitude: 51.177747, longitude:  -113.533613},
      type: REAL,
      comment: "Batch lagring: 2",
      soilDatasetUuid: "983095c1-8d31-4cc0-9143-502c35df358d"
    }
  ]
  } ) {
    uuid
    fieldUuid
    opprettetDato
    updatedDate
  }
}
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/nor/api-dokumentasjon/oversikt-over-geopard-api-foresporsler/notater-kartnaler/28.-mutasjon-lagre-flere-notater-batch-operasjon.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
